Name: H5Sextent_copy
Signature:
  herr_t `H5Sextent_copy`(hid_t `dest_space_id`, hid_t `source_space_id` )
Purpose:
  Copies the extent of a dataspace.
Description:
  `H5Sextent_copy` copies the extent from `source_space_id` to `dest_space_id`. This action may change the type of the dataspace.
Parameters:

hid_t `dest_space_id` | IN: The identifier for the dataspace to which the extent is copied.
hid_t `source_space_id` | IN: The identifier for the dataspace from which the extent is copied.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5sextent_copy_f

      SUBROUTINE h5sextent_copy_f(dest_space_id, source_space_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dest_space_id   ! Identifier of destination
                                                      ! dataspace
        INTEGER(HID_T), INTENT(IN) :: source_space_id ! Identifier of source
                                                      ! dataspace
        INTEGER, INTENT(OUT) :: hdferr                ! Error code
                                                      ! 0 on success and -1 on failure
      END SUBROUTINE h5sextent_copy_f